@echo off
REM DOS Games Archive DOSBox launch script
REM 
REM Game title: The Fourth Generation 0.7 alpha
REM Configuration: standard
REM 
REM Please refer to the DOSBox manual and Wiki
REM for an explanation of commands
REM 
REM DOSBox: disable joystick (for online play)
config -set "joystick joysticktype=none"
REM DOSBox: configure CPU cycles
config -set "cpu cycles=auto 7800 95%% limit 26800"
REM DOSBox: set correct aspect ratio
config -set "render aspect=true"
REM DOSBox: turn off native extended memory emulation
config -set "dos ems=false"
config -set "dos xms=false"
config -set "dos umb=false"
REM load JEMM
cd JEMM579B
JEMMEX FRAME=E000 LOAD
cd..
cd 4GEN
REM DOSBox: loadfix (correct memory usage)
loadfix -25
4GEN.EXE
cd..
REM DOSBox: turn extended memory back on
config -set "dos ems=true"
config -set "dos xms=true"
config -set "dos umb=true"
@echo on
@echo Visit DOS Games Archive http://www.dosgamesarchive.com/